Skip to Content
0
Former Member
Oct 04, 2016 at 06:50 PM

Error in Synchronization - Unsupported major.minor version 52.0

675 Views

Hi All,

We have SAP NWDI NW 7.4 running in our landscape, We are running synchronization service for one track and see below error -

Exception in thread "main" java.lang.UnsupportedClassVersionError: com/sap/tc/buildcontroller/CBSBuildController : Unsupported major.minor version 52.0#

Checking on some thread, It looks like Java issue but not sure where we need to upgrade Java Version or any parameter we need to adjust.

Below are Java details at OS level of SAP NWDI server ->

INFO: [OS: Linux] [VM vendor: SAP AG] [VM version: 1.6.0_85] [VM type: SAP Java Server VM]

java -version

java version "1.6.0_24"

Also I was checking 2238332 which shows that our java compiler is mentioned as 52 in configuration where as we have SAP JVM 1.6, it should be 50.

As upgrading SAPJVM now is not an option, We are looking for some way to set value of java compiler in CBS to 50.

Please suggest what can we do to resolve this issue.

Regards,

Shivam